We hope you'll join us for our 4/23 webinar on using data tables to apply reference ranges and AE codes in OC4. For more information and to register, visit https://register.gotowebinar.com/register/2882170018956684555

Installation 2 different version of OpenClinica in the same server

Ana HAna H Posts: 2
Dear all,

Currently I am using OpenClinica version 3.2.1 Community. Is it possible to
install the latest version of OpenClinica in the same server which is has
partition?

Thank you
Regards,
Huziana Fauzi

Comments

  • caesarookecaesarooke Posts: 9
    via Email
    Hello Huziana,

    This is possible.

    - In order to do this, create an new database on your database server
    (if this is not the same server as application - not recommended for
    production environment).
    - Upload a new OpenClinica.war file giving it a name different from your
    existing/running OC instance.
    - Check the datainfo.properties file within the extracted folder and
    change the settings appropriately.

    This will result in 2 installations of OC within the same server. I hope
    this is what you meant.

    Thanks,
    Caesar Olima
  • forifori Posts: 7
    via Email
    Hello,

    there might be a problem due to the fact, that OC expects datainfo.properties in CATALINA_HOME since 3.4
    see https://forums.openclinica.com/discussion/15752/openclinica-config-directory#latest

    Maybe You can setup another Tomcat Instance
    See http://crunchify.com/how-to-run-multiple-tomcat-instances-on-one-server/

    Though it might be a bit more difficult if You installed Tomcat using Your linux distribution's packet manager.
    In this case tomcat files are spread over the system according to linux specifications; e.g.
    * $tomact_home/conf/ is a symlink to /etc/tomcat/
    * $tomcat_home/logs/ is a symlink to /var/log/tomcat/
    * $tomcat_home/webapps/ is a symlink to /var/lib/tomcat/webapps/
    and so on

    Best,
    Florian
  • sundmansundman Posts: 5
    Hello,

    also note that for postgresql you cannot separate the applications into different schemas, you need separate databases, as commented earlier.
  • GerbenRienkGerbenRienk Posts: 817 ✭✭✭
    Hi Huziana,
    If you want to use the latest version then you must use tomcat6 for oc321 and tomcat7 for oc39.
    A short description of how to set this up can be found at http://www.trialdatasolutions.com/tds/howto/tomcat6and7.jsp
    Kind regards,
    Gerben Rienk
Sign In or Register to comment.